Summary:     Generic client/server library for SASL authentication
Name:        cyrus-sasl
Version:     1.5.28
Release:     16.pp
License:     GPL
Group:       Development/Libraries
Source0:     ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/cyrus-sasl-%{version}.tar.gz
Source1:     http://www.surf.org.uk/downloads/sasl-%{version}-ldap-ssl-filter-mysql-patch.tgz
URL:         http://asg.web.cmu.edu/sasl/sasl-library.html
Buildroot:   /var/tmp/cyrus-sasl-root
Vendor:      Peter Pramberger
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    pam db3 openssl openldap
Provides:    cyrus-sasl.pp
Prereq:      /bin/bash /sbin/ldconfig /bin/chmod
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: /bin/cat /bin/sed db3-devel automake autoconf
BuildPrereq: libtool openssl-devel openldap-devel pam-devel
ExclusiveOS: linux

%description
The Cyrus SASL library is a generic library for easy integration
of secure network authentication to any client or server application.
It supports authentication via standard plaintext methods as well
as CRAM-MD5 and DIGEST-MD5 shared secret methods and KERBEROS_V4
and GSSAPI Kerberos methods. The SASL protocol framework is used by
SMTP, IMAP, ACAP, LDAP, and other standard protocols.


%package devel
Group:       Development/Libraries
Summary:     The development environment for Cyrus SASL
Requires:    cyrus-sasl = %{version}-%{release} cyrus-sasl.pp
Provides:    cyrus-sasl-devel.pp

%package plain
Group:       System Environment/Libraries
Summary:     PLAIN and LOGIN support for Cyrus SASL.
Requires:    cyrus-sasl = %{version}-%{release} cyrus-sasl.pp
Provides:    cyrus-sasl-plain.pp

%package md5
Group:       System Environment/Libraries
Summary:     CRAM-MD5 and DIGEST-MD5 support for Cyrus SASL.
Requires:    cyrus-sasl = %{version}-%{release} cyrus-sasl.pp
Provides:    cyrus-sasl-md5.pp


%description devel
The cyrus-sasl-devel package contains the development libraries and
header files for use with Cyrus SASL.

%description plain
The cyrus-sasl-plain package contains the Cyrus SASL plugins which
support PLAIN and LOGIN authentication schemes.

%description md5
The cyrus-sasl-md5 package contains the Cyrus SASL plugins which
support CRAM-MD5 and DIGEST-MD5 authentication schemes.


%prep
%setup -q -a 1
patch -b -p0 < ldap-mysql_sasl-%{version}/sasl-ldap+mysql.patch
for file in acconfig.h config.h.in; do
    cat $file | \
    sed -e 's+/dev/random+/dev/urandom+g' > tmp_file;
    mv tmp_file $file;
    rm -f tmp_file;
done
libtoolize -f
aclocal -I ./cmulocal
autoheader
autoconf
automake -i -a


%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
./configure \
	--prefix=/usr                  \
	--sysconfdir=/etc              \
	--localstatedir=/var           \
	--mandir=/usr/share/man        \
	--enable-static                \
	--enable-shared                \
	--with-dblib=berkeley          \
	--with-dbpath=/etc/sasldb      \
	--with-pam                     \
	--enable-cram                  \
	--enable-digest                \
	--disable-krb4                 \
	--disable-gssapi               \
	--enable-anon                  \
	--enable-plain                 \
	--with-plugindir=/usr/lib/sasl \
	--with-rc4                     \
	--enable-login                 \
	--with-ldap
make
make -C sample sample-client sample-server


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT install
echo "pwcheck_method: sasldb" > $RPM_BUILD_ROOT/usr/lib/sasl/sample.conf


%post
/sbin/ldconfig
/usr/sbin/sasldblistusers > /dev/null
/bin/chmod 0600 /etc/sasldb


%postun
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%doc %dir doc
%doc sample/.libs/*client sample/.libs/*server
/usr/lib/*.so.*
%dir /usr/lib/sasl
/usr/lib/sasl/*anonymous*.so*
%config /usr/lib/sasl/sample.conf
/usr/sbin/*
/usr/share/man/man8/*

%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/*.*a
/usr/lib/*.so
/usr/lib/sasl/*.*a
/usr/share/man/man3/*

%files plain
%defattr(-,root,root)
/usr/lib/sasl/*plain*.so*
/usr/lib/sasl/*login*.so*

%files md5
%defattr(-,root,root)
/usr/lib/sasl/*crammd5*.so*
/usr/lib/sasl/*digestmd5*.so*


%changelog
* Fri Sep 19 2003 peter.pramberger@1012surf.net
- man pages moved to /usr/share/man
- do not add /usr/lib/sasl to ld.so.conf, there are only plugins

* Mon Jun 02 2003 peter.pramberger@1012surf.net
- compiled for RH73

* Sun Jan 19 2003 peter.pramberger@1012surf.net
- fixed bug (mechs not found) caused by missing *.so in /usr/lib/sasl

* Thu Dec 26 2002 peter.pramberger@1012surf.net
- new version 1.5.28
- added ldap support

* Fri Aug 30 2002 peter.pramberger@1012surf.net
- created

